Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Data Mining Java API Reference 10g Release 2 (10.2) B14341-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.dmt.jdm.task
Class OraBuildTask

`java.lang.Object
oracle.dmt.jdm.OraDMObject
oracle.dmt.jdm.OraMiningObject
oracle.dmt.jdm.base.OraTask
oracle.dmt.jdm.task.OraBuildTask`

All Implemented Interfaces:
  javax.datamining.task.BuildTask, javax.datamining.MiningObject, oracle.dmt.jdm.OraPLSQLConstants, javax.datamining.base.Task

public class OraBuildTask
extends oracle.dmt.jdm.base.OraTask
implements javax.datamining.task.BuildTask

`OraBuildTask` is an extension of the `javax.datamining.task.BuildTask`. It provides `getBuildData` method to retrieve the PhysicalDataSet object used in this task.

See Also:
  `MiningObject`, `oracle.dmt.jdm.MiningObjectImpl`, `Task`, `OraTask`, `BuildTask`

Field Summary

Fields inherited from class oracle.dmt.jdm.OraMiningObject
`DESCRIPTION_DELIMITER`

Fields inherited from interface oracle.dmt.jdm.OraPLSQLConstants
`abns_max_build_minutes, abns_max_nb_predictors, abns_max_predictors, abns_model_type, abns_multi_feature, abns_naive_bayes, abns_single_feature, algo_adaptive_bayes_network, algo_ai_mdl, algo_ai_mdl2, algo_apriori_association_rules, algo_decision_tree, algo_kmeans, algo_naive_bayes, algo_name, algo_nonnegative_matrix_factor, algo_ocluster, algo_predictor_variance, algo_support_vector_machines, apply_cost_content, apply_nodeid_content, apply_pred_value_content, apply_probability_content, asso_max_rule_length, asso_min_confidence, asso_min_support, association, association_in_model, attribute_importance, clas_cost_table_name, clas_priors_table_name, classification, clus_num_clusters, clustering, feat_num_features, feature_extraction, kmns_block_growth, kmns_conv_tolerance, kmns_cosine, kmns_distance, kmns_euclidean, kmns_fast_cosine, kmns_iterations, kmns_min_pct_attr_support, kmns_num_bins, kmns_size, kmns_split_criterion, kmns_variance, nabs_pairwise_threshold, nabs_singleton_threshold, nmfs_conv_tolerance, nmfs_num_iterations, nmfs_random_seed, ocluster_max_buffer, ocluster_sensitivity, operator_equal, operator_equal_v, operator_greater_or_equal, operator_greater_or_equal_v, operator_greater_than, operator_greater_than_v, operator_in, operator_in_v, operator_less_or_equal, operator_less_or_equal_v, operator_less_than, operator_less_than_v, operator_not_equal, operator_not_equal_v, operator_not_in, operator_not_in_v, oracle_char_type, oracle_dm_nested_categoricals, oracle_dm_nested_numericals, oracle_float_type, oracle_number_type, oracle_varchar2_type, regression, svms_active_learning, svms_al_disable, svms_al_enable, svms_complexity_factor, svms_conv_tolerance, svms_epsilon, svms_gaussian, svms_kernel_cache_size, svms_kernel_function, svms_linear, svms_outlier_rate, svms_std_dev, tree_impurity_entropy, tree_impurity_gini, tree_impurity_metric, tree_impurity_metric_default, tree_term_max_depth, tree_term_max_depth_default, tree_term_max_depth_max, tree_term_max_depth_min, tree_term_max_surrogates_max, tree_term_max_surrogates_min, tree_term_minpct_node, tree_term_minpct_node_default, tree_term_minpct_node_max, tree_term_minpct_split, tree_term_minpct_split_default, tree_term_minpct_split_max, tree_term_minrec_node, tree_term_minrec_node_default, tree_term_minrec_split, tree_term_minrec_split_default`

Method Summary
`javax.datamining.data.PhysicalDataSet` | `getBuildData()` Retrieves the build data information from the task.

Methods inherited from class oracle.dmt.jdm.base.OraTask
`doesObjectExistInDatabase, execute, execute, getDescription, getExecutionHandle, getJob, getObjectType, isInputObject, removeObjectFromDatabase, renameObjectInDatabase, retrieveObjectFromDatabase, retrieveObjectFromDatabaseByID, retrieveObjectsFromDatabase`

Methods inherited from class oracle.dmt.jdm.OraMiningObject
`doBeforeStore, getCreationDate, getCreatorInfo, getName, getObjectIdentifier, saveObjectInDatabase, setDescription`

Methods inherited from class oracle.dmt.jdm.OraDMObject
`createException, createException, createRuntimeException, createRuntimeException, getLocalizedMessage, isConnectionOpen, logInfo, logSevere, logTrace, logTrace, unsupported, unsupported`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.datamining.base.Task
`getExecutionHandle`

Methods inherited from interface javax.datamining.MiningObject
`getCreationDate, getCreatorInfo, getDescription, getName, getObjectIdentifier, getObjectType, setDescription`

Method Detail

### getBuildData

    public javax.datamining.data.PhysicalDataSet getBuildData()
                                                       throws javax.datamining.JDMException

  Retrieves the build data information from the task. This method returns null if the task is not retrived from the DME
  Returns:
    PhysicalDataSet build data
  Throws:
    `javax.datamining.JDMException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Data Mining Java API Reference 10g Release 2 (10.2) B14341-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, Oracle. All rights reserved.